## ros-foxy-mavros-msgs 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(mavros_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rcl_interfaces REQUIRED)
find_package(geographic_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)

# include_directories(include)

# [[[cog:
# import mavros_cog
# ]]]
# [[[end]]] (checksum: d41d8cd98f00b204e9800998ecf8427e)

set(msg_files
  # [[[cog:
  # mavros_cog.outl_glob_files('msg', '*.msg')
  # ]]]
  msg/ADSBVehicle.msg
  msg/ActuatorControl.msg
  msg/Altitude.msg
  msg/AttitudeTarget.msg
  msg/CamIMUStamp.msg
  msg/CameraImageCaptured.msg
  msg/CellularStatus.msg
  msg/CommandCode.msg
  msg/CompanionProcessStatus.msg
  msg/DebugValue.msg
  msg/ESCInfo.msg
  msg/ESCInfoItem.msg
  msg/ESCStatus.msg
  msg/ESCStatusItem.msg
  msg/ESCTelemetry.msg
  msg/ESCTelemetryItem.msg
  msg/EstimatorStatus.msg
  msg/ExtendedState.msg
  msg/FileEntry.msg
  msg/GPSINPUT.msg
  msg/GPSRAW.msg
  msg/GPSRTK.msg
  msg/GlobalPositionTarget.msg
  msg/HilActuatorControls.msg
  msg/HilControls.msg
  msg/HilGPS.msg
  msg/HilSensor.msg
  msg/HilStateQuaternion.msg
  msg/HomePosition.msg
  msg/LandingTarget.msg
  msg/LogData.msg
  msg/LogEntry.msg
  msg/MagnetometerReporter.msg
  msg/ManualControl.msg
  msg/Mavlink.msg
  msg/MountControl.msg
  msg/NavControllerOutput.msg
  msg/OnboardComputerStatus.msg
  msg/OpticalFlowRad.msg
  msg/OverrideRCIn.msg
  msg/Param.msg
  msg/ParamEvent.msg
  msg/ParamValue.msg
  msg/PlayTuneV2.msg
  msg/PositionTarget.msg
  msg/RCIn.msg
  msg/RCOut.msg
  msg/RTCM.msg
  msg/RTKBaseline.msg
  msg/RadioStatus.msg
  msg/State.msg
  msg/StatusText.msg
  msg/TerrainReport.msg
  msg/Thrust.msg
  msg/TimesyncStatus.msg
  msg/Trajectory.msg
  msg/Tunnel.msg
  msg/VehicleInfo.msg
  msg/VfrHud.msg
  msg/Vibration.msg
  msg/Waypoint.msg
  msg/WaypointList.msg
  msg/WaypointReached.msg
  msg/WheelOdomStamped.msg
  # [[[end]]] (checksum: cf55cc727ab8f7a2823267cab0dd1bf3)
)

set(srv_files
  # [[[cog:
  # mavros_cog.outl_glob_files('srv', '*.srv')
  # ]]]
  srv/CommandAck.srv
  srv/CommandBool.srv
  srv/CommandHome.srv
  srv/CommandInt.srv
  srv/CommandLong.srv
  srv/CommandTOL.srv
  srv/CommandTriggerControl.srv
  srv/CommandTriggerInterval.srv
  srv/CommandVtolTransition.srv
  srv/EndpointAdd.srv
  srv/EndpointDel.srv
  srv/FileChecksum.srv
  srv/FileClose.srv
  srv/FileList.srv
  srv/FileMakeDir.srv
  srv/FileOpen.srv
  srv/FileRead.srv
  srv/FileRemove.srv
  srv/FileRemoveDir.srv
  srv/FileRename.srv
  srv/FileTruncate.srv
  srv/FileWrite.srv
  srv/LogRequestData.srv
  srv/LogRequestEnd.srv
  srv/LogRequestList.srv
  srv/MessageInterval.srv
  srv/MountConfigure.srv
  srv/ParamGet.srv
  srv/ParamPull.srv
  srv/ParamPush.srv
  srv/ParamSet.srv
  srv/ParamSetV2.srv
  srv/SetMavFrame.srv
  srv/SetMode.srv
  srv/StreamRate.srv
  srv/VehicleInfoGet.srv
  srv/WaypointClear.srv
  srv/WaypointPull.srv
  srv/WaypointPush.srv
  srv/WaypointSetCurrent.srv
  # [[[end]]] (checksum: a011691dec330a2a89d35288ebf05c55)
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES
  builtin_interfaces
  rcl_interfaces
  geographic_msgs
  geometry_msgs
  sensor_msgs
  std_msgs
)

ament_export_dependencies(rosidl_default_runtime)

install(
  FILES mavros_msgs_mapping_rule.yaml
  DESTINATION share/${PROJECT_NAME}
)

if(rcl_interfaces_VERSION VERSION_LESS "1.2.0")
  install(
    DIRECTORY include/
    DESTINATION include
    FILES_MATCHING PATTERN "*.hpp"
  )
else()
  # NOTE(vooon): Humble
  install(
    DIRECTORY include/
    DESTINATION include/mavros_msgs
    FILES_MATCHING PATTERN "*.hpp"
  )
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # NOTE(vooon): Does not support our custom triple-license, tiered to make it to work.
  list(APPEND AMENT_LINT_AUTO_EXCLUDE ament_cmake_copyright)

  ament_lint_auto_find_test_dependencies()
endif()

ament_package()
# vim: ts=2 sw=2 et:

=== debian/changelog ===
ros-foxy-mavros-msgs (2.4.0-1focal) focal; urgency=high

  * msgs: re-generate
  * Merge branch 'master' into ros2
    * master:
    1.15.0
    update changelog
    ci: update actions
    Implement debug float array handler
    mavros_extras: Fix a sequence point warning
    mavros_extras: Fix a comparison that shouldn't be bitwise
    mavros: Fix some warnings
    mavros_extras: Fix buggy check for lat/lon ignored
    libmavconn: fix MAVLink v1.0 output selection
  * 1.15.0
  * update changelog
  * Merge pull request #1811 <https://github.com/mavlink/mavros/issues/1811> from scoutdi/debug-float-array
    Implement debug float array handler
  * Implement debug float array handler
    Co-authored-by: Morten Fyhn Amundsen <mailto:morten.f.amundsen@scoutdi.com>
  * Contributors: Sverre Velten Rothmund, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 30 Dec 2022 00:00:00 -0000

ros-foxy-mavros-msgs (2.3.0-1focal) focal; urgency=high

  * Merge branch 'master' into ros2
    * master:
    1.14.0
    update changelog
    scripts: waypoint and param files are text, not binary
    libmavconn: fix MAVLink v1.0 output selection
    plugins: add guided_target to accept offboard position targets
    add cmake module path for geographiclib on debian based systems
    use already installed FindGeographicLib.cmake
  * 1.14.0
  * update changelog
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Sep 2022 00:00:00 -0000

ros-foxy-mavros-msgs (2.2.0-1focal) focal; urgency=high

  * Merge branch 'master' into ros2
    * master:
    mount_control.cpp: detect MOUNT_ORIENTATION stale messages
    ESCTelemetryItem.msg: correct RPM units
    apm_config.yaml: add mount configuration
    sys_status.cpp fix free memory for values > 64KiB
    uncrustify cellular_status.cpp
    Add CellularStatus plugin and message
    *_config.yaml: document usage of multiple batteries diagnostics
    sys_status.cpp: fix compilation
    sys_status.cpp: support diagnostics on up-to 10 batteries
    sys_status.cpp: do not use harcoded constants
    sys_status.cpp: Timeout on MEMINFO and HWSTATUS mavlink messages and publish on the diagnostics
    sys_status.cpp: fix enabling of mem_diag and hwst_diag
    sys_status.cpp: Do not use battery1 voltage as voltage for all other batteries (bugfix).
    sys_status.cpp: ignore sys_status mavlink messages from gimbals
    mount_control.cpp: use mount_nh for params to keep similarities with other plugins set diag settings before add()
    sys_status.cpp: remove deprecated BATTERY2 mavlink message support
    Mount control plugin: add configurable diagnostics
    Bugfix: increment_f had no value asigned when input LaserScan was bigger than obstacle.distances.size()
    Bugfix: wrong interpolation when the reduction ratio (scale_factor) is not integer.
    Disable startup_px4_usb_quirk in px4_config.yaml
  * msgs: support humble

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 27 Jun 2022 00:00:00 -0000

ros-foxy-mavros-msgs (2.1.1-1focal) focal; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 02 Mar 2022 00:00:00 -0000

ros-foxy-mavros-msgs (2.1.0-1focal) focal; urgency=high

  * Merge branch 'master' into ros2
    * master:
    1.13.0
    update changelog
    py-lib: fix compatibility with py3 for Noetic
    re-generate all coglets
    test: add checks for ROTATION_CUSTOM
    lib: Fix rotation search for CUSTOM
    Removed CamelCase for class members.  Publish to "report"
    More explicitly state "TerrainReport" to allow for future extension of the plugin to support other terrain messages
    Fixed callback name to match handle_{MESSAGE_NAME.lower()} convention
    Add extra MAV_FRAMES to waypoint message as defined in https://mavlink.io/en/messages/common.html
    Fixed topic names to match more closely what other plugins use.  Fixed a typo.
    Add plugin for reporting terrain height estimate from FCU
    1.12.2
    update changelog
    Set time/publish_sim_time to false by default
    plugin: setpoint_raw: move getParam to initializer
    extras: trajectory: backport #1667 <https://github.com/mavlink/mavros/issues/1667>
  * 1.13.0
  * update changelog
  * Merge pull request #1690 <https://github.com/mavlink/mavros/issues/1690> from mavlink/fix-enum_sensor_orientation
    Fix enum sensor_orientation
  * re-generate all coglets
  * Merge pull request #1680 <https://github.com/mavlink/mavros/issues/1680> from AndersonRayner/new_mav_frames
    Add extra MAV_FRAMES to waypoint message
  * Merge pull request #1677 <https://github.com/mavlink/mavros/issues/1677> from AndersonRayner/add_terrain
    Add plugin for reporting terrain height estimate from the FCU
  * More explicitly state "TerrainReport" to allow for future extension of the plugin to support other terrain messages
  * Add extra MAV_FRAMES to waypoint message as defined in https://mavlink.io/en/messages/common.html
  * Add plugin for reporting terrain height estimate from FCU
  * 1.12.2
  * update changelog
  * Merge branch 'master' into ros2
    * master:
    1.12.1
    update changelog
    mavconn: fix connection issue introduced by #1658 <https://github.com/mavlink/mavros/issues/1658>
    mavros_extras: Fix some warnings
    mavros: Fix some warnings
  * 1.12.1
  * update changelog
  * Contributors: Vladimir Ermakov, matt

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 02 Feb 2022 00:00:00 -0000

ros-foxy-mavros-msgs (2.0.5-1focal) focal; urgency=high

  * Merge branch 'master' into ros2
    * master:
    1.12.0
    update changelog
    Fix multiple bugs
    lib: fix mission frame debug print
    extras: distance_sensor: revert back to zero quaternion
  * 1.12.0
  * update changelog
  * extras: fix some more lint warns
  * msgs: update conversion header
  * Merge branch 'master' into ros2
    * master:
    1.11.1
    update changelog
    lib: fix build
  * 1.11.1
  * update changelog
  * Merge branch 'master' into ros2
    * master:
    1.11.0


=== debian/control ===
Source: ros-foxy-mavros-msgs
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-geographic-msgs, ros-foxy-geometry-msgs, ros-foxy-rcl-interfaces, ros-foxy-rosidl-default-generators, ros-foxy-sensor-msgs, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: http://wiki.ros.org/mavros_msgs
Standards-Version: 3.9.2

Package: ros-foxy-mavros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-geographic-msgs, ros-foxy-geometry-msgs, ros-foxy-rcl-interfaces, ros-foxy-rosidl-default-runtime, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Description: mavros_msgs defines messages for MAVROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-mavros-msgs//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
